﻿using Dapfor.Wpf.Converters;
using Dapfor.Wpf.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.Basics.Themes
{
    internal class RootClass
    {
        //Some enumeration

        #region EnumExample enum

        public enum EnumExample
        {
            Internal,
            External,
        }

        #endregion

        #region Fields

        private readonly int _id;

        #endregion

        public RootClass(int id, double doubleValue, int intValue, EnumExample orderType)
        {
            _id = id;
            Price = doubleValue;
            Count = intValue;
            OrderType = orderType;
        }

        #region Public properties

        [Field("IdCount")]
        [Converter("### ### ###")]
        public int Count { get; set; }

        [Field("IdPrice")]
        [DoubleConverter(3)]
        public double Price { get; set; }

        [Field("IdOrderType")]
        public EnumExample OrderType { get; private set; }

        #endregion

        public override string ToString()
        {
            return string.Format("RootClass {0}", _id);
        }
    }
}
