﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;
using Dapfor.Wpf.Controls;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.ConditionalHierarchicalBinding
{
    internal class BackgroundColorConverter : IValueConverter
    {
        public Brush BasketColor { get; set; }
        public Brush OrderColor { get; set; }
        public Brush DealColor { get; set; }

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var cell = (Cell) value;
            if (cell.Row.DataObject is Basket) return BasketColor;
            if (cell.Row.DataObject is Order) return OrderColor;
            if (cell.Row.DataObject is Deal) return DealColor;
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }

        #endregion
    }
}