﻿using System;
using Dapfor.Wpf.Converters;
using Dapfor.Wpf.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.ConditionalHierarchicalBinding
{
    public class Deal
    {
        public Deal(Order order, string dealId, double price, long quantity, string counterpart)
        {
            Order = order;
            DealId = dealId;
            TimeStamp = DateTime.Now;
            Price = price;
            Quantity = quantity;
            Counterpart = counterpart;
        }

        public string Product
        {
            get { return Order.Product; }
        }

        public Order Order { get; private set; }

        [Field("Id")]
        public string DealId { get; private set; }

        [Field("TimeStamp")]
        [Converter("HH:mm:ss.fff")]
        public DateTime TimeStamp { get; private set; }

        [DoubleConverter(3)]
        public double Price { get; private set; }

        public long Quantity { get; private set; }

        public string Counterpart { get; private set; }
    }
}