﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media.Imaging;
using Dapfor.Wpf.Controls;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.ConditionalHierarchicalBinding
{
    public class ItemToImageConverter : IValueConverter
    {
        public BitmapImage BasketImage { get; set; }
        public BitmapImage OrderImage { get; set; }
        public BitmapImage DealImage { get; set; }

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            Cell cell = (Cell) value;
            if (cell != null)
            {
                if (cell.Row.DataObject is Basket) return BasketImage;
                if (cell.Row.DataObject is Order) return OrderImage;
                if (cell.Row.DataObject is Deal) return DealImage;    
            }
            

            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }
}