﻿using System;
using System.Globalization;
using System.Text;
using System.Windows.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.Miscellaneous.RegistryExplorer
{
    internal class RegistryValueDataConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is byte[])
            {
                var bytes = (byte[]) value;
                var sb = new StringBuilder();
                for (var i = 0; i < bytes.Length; ++i)
                {
                    if (sb.Length > 0) sb.Append(' ');
                    sb.AppendFormat("{0:X2}", bytes[i]);
                }
                value = sb.ToString();
            }
            else
            {
                value = value != null ? value.ToString() : null;
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }
}