﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace Dapfor.Wpf.Grid.Demo.Examples.Miscellaneous.Trading
{
    internal class TrendConverter : IValueConverter
    {
        public BitmapImage UpImage { get; set; }
        public BitmapImage DownImage { get; set; }

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is double)
            {
                var change = (double)value;
                return change > 0 ? UpImage : (change < 0 ? DownImage : null);
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }

        #endregion
    }
}