﻿using System;
using System.Globalization;
using System.Windows.Controls;

namespace Dapfor.Wpf.Grid.Demo.ValidationRules
{
    public class DoubleRangeRule : ValidationRule
    {
        public double Min { get; set; }
        public double Max { get; set; }

        public override ValidationResult Validate(object value, CultureInfo cultureInfo)
        {
            double parameter = 0;

            try
            {
                if (((string) value).Length > 0)
                {
                    parameter = Double.Parse((String) value);
                }
            }
            catch (Exception e)
            {
                return new ValidationResult(false, "Illegal characters or " + e.Message);
            }

            if ((parameter < Min) || (parameter > Max))
            {
                return new ValidationResult(false, "Please enter value in the range: " + Min + " - " + Max + ".");
            }
            return new ValidationResult(true, null);
        }
    }
}