﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace Dapfor.Wpf.Grid.Demo.ValueConverters
{
    public class BrushToColorConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var brush = value as SolidColorBrush;
            if (brush != null)
            {
                return brush.Color;
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var color = (Color) value;
            return new SolidColorBrush(color);
        }

        #endregion
    }
}